Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdContentProviderBase

    java.lang.Object
      com.bea.p13n.ad.AdContentProviderBase

All Implemented Interfaces
  AdContentProvider, AdRenderableContentProvider

    public class AdContentProviderBase

extends Object
implements AdRenderableContentProvider

A default global ad renderer.

This implementation delagates to the AdContentProvider's specified via the AdContentProvider MBean children of the application's AdService MBean (i.e. via the META-INF/application-config.xml) on a per-Content mimeType basis.

Field Summary

Fields inherited from interface com.bea.p13n.ad.AdRenderableContentProvider
`VERSION_ID`

Fields inherited from interface com.bea.p13n.ad.AdContentProvider
`NEW_WINDOW, NEW_WINDOW_TYPE, PREVIEW`

Constructor Summary
`AdContentProviderBase()`

Method Summary
`String` | `renderContent(Node c, long identifier, String servletBase, int height, int width, int options)` Deprecated
`String` | `renderContent(RenderableContent content, long identifier, String servletBase, int height, int width, int options)` Return the XHTML content for the specified content

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdContentProviderBase

    public AdContentProviderBase()

Method Detail

### renderContent

    public String renderContent(Node c,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Deprecated

  Return the XHTML content for the specified content

  Specified by:
    `renderContent` in interface `AdContentProvider`
  Parameters
    `c` - The content element to render
    `identifier` - Identifier ID for the record generating the ad
    `servletBase` - The web app base on the server
    `height` - The suggested height
    `width` - The suggested width
    `options` - The options for the renderer
  Returns
    a String representing the XHTML content
  Throws
    `AdContentException` - when there is a problem rendering the content
  See Also
    `ContentProviders.getContentProvider(java.lang.String)`

### renderContent

    public String renderContent(RenderableContent content,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Return the XHTML content for the specified content

  Specified by:
    `renderContent` in interface `AdRenderableContentProvider`
  Parameters
    `c` - The content element to render
    `identifier` - Identifier ID for the record generating the ad
    `servletBase` - The web app base on the server
    `height` - The suggested height
    `width` - The suggested width
    `options` - The options for the renderer
  Returns
    a String representing the XHTML content
  Throws
    `AdContentException` - when there is a problem rendering the content
  See Also
    `ContentProviders.getContentProvider(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.